Commits

Tyler Butler committed 21ab5e6

Fix up some requirements problems and tweaked PyCharm project settings.

Somehow missed listing flufl.enum as a requirement.

Comments (0)

Files changed (4)

.idea/django-potpourri.iml

     <content url="file://$MODULE_DIR$">
       <sourceFolder url="file://$MODULE_DIR$/potpourri" isTestSource="false" />
     </content>
-    <orderEntry type="inheritedJdk" />
+    <orderEntry type="jdk" jdkName="Python 2.7.1 (C:/Users/Tyler/.virtualenvs/potpourri/Scripts/python.exe)" jdkType="Python SDK" />
     <orderEntry type="sourceFolder" forTests="false" />
   </component>
   <component name="TemplatesService">

.idea/runConfigurations/Nosetests.xml

     <option name="INTERPRETER_OPTIONS" value="" />
     <option name="PARENT_ENVS" value="true" />
     <envs />
-    <option name="SDK_HOME" value="$USER_HOME$/.virtualenvs/raidmanager/Scripts/python.exe" />
+    <option name="SDK_HOME" value="" />
     <option name="WORKING_DIRECTORY" value="" />
-    <option name="IS_MODULE_SDK" value="false" />
+    <option name="IS_MODULE_SDK" value="true" />
     <module name="django-potpourri" />
     <EXTENSION ID="PythonCoverageRunConfigurationExtension" enabled="false" sample_coverage="true" runner="coverage.py" />
     <option name="SCRIPT_NAME" value="" />
 path.py
 python-dateutil==1.5
 Django>=1.3.1
-django-nose
 django-model-utils>=1.0.0
+flufl.enum

requirements_optional.txt

+# Only required to run unit tests
+django-nose
+
 # Only required to generate documentation
 sphinx